<?xml version="1.0" encoding="UTF-8"?>
<EIS_TNR>
    <!--AF instruction
        camera_position:    -1-default   0—rear   1-front
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2
    -->

    <!--rear main-->
    <AF camera_position="0" camera_index="2">
        <minLensPosCode>234</minLensPosCode>
        <maxLensPosCode>897</maxLensPosCode>
        <minLensPos>5.68</minLensPos>
        <maxLensPos>6.06</maxLensPos>
    </AF>

    <!--rear wide-->
    <AF camera_position="0" camera_index="4">
        <minLensPosCode>282</minLensPosCode>
        <maxLensPosCode>693</maxLensPosCode>
        <minLensPos>5.68</minLensPos>
        <maxLensPos>5.88</maxLensPos>
    </AF>

    <!--OISSensor instruction
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2
        driverIC:   -1-default   4-Onsenmi124EP3   5-Onsenmi150   6-Onsenmi128   7-DW9781B   8-DW9781C  9-RenasasS4H
        gyro_sensor:   -1-default   0-GYRO_VENDOR_INVEN_ICM20690   2-GYRO_VENDOR_ST_LSM6DSM   6-GYRO_VENDOR_BOSCH_BMI260
        actuator_type:   -1-default   1-ACTUATOR_TYPE_TDK   2-ACTUATOR_TYPE_MITSUMI
    -->

	<!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview default binning-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="-1" sensor_mode="-1" resolution="-1">
        <translationGainX>0.3181</translationGainX>
        <translationGainY>-0.4135</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.00357</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="-1" sensor_mode="30" resolution="6">
        <translationGainX>-0.292474</translationGainX>
        <translationGainY>0.436585</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.000242</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic fullScreem-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="-1" sensor_mode="30" resolution="7">
        <translationGainX>-0.389966</translationGainX>
        <translationGainY>0.436585</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.000242</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic fullScreem-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="-1" sensor_mode="30" resolution="8">
        <translationGainX>-0.292474</translationGainX>
        <translationGainY>0.716727</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.005386</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning 4:3-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="-1" sensor_mode="31" resolution="6">
        <translationGainX>-0.149072</translationGainX>
        <translationGainY>0.218292</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.000859</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning fullScreem-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="-1" sensor_mode="31" resolution="7">
        <translationGainX>-0.198763</translationGainX>
        <translationGainY>0.218292</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.000859</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning 1:1-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="0" actuator_type="-1" sensor_mode="31" resolution="8">
        <translationGainX>-0.149072</translationGainX>
        <translationGainY>0.358363</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.006487</offsetTime>
    </OISSensor>

	<!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview default binning-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="-1" sensor_mode="-1" resolution="-1">
        <translationGainX>0.3181</translationGainX>
        <translationGainY>-0.4135</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.00357</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="-1" sensor_mode="30" resolution="6">
        <translationGainX>-0.310429</translationGainX>
        <translationGainY>0.428395</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.000322</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic fullScreem-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="-1" sensor_mode="30" resolution="7">
        <translationGainX>-0.413905</translationGainX>
        <translationGainY>0.428395</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.000322</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic fullScreem-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="-1" sensor_mode="30" resolution="8">
        <translationGainX>-0.310429</translationGainX>
        <translationGainY>0.703282</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.005306</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning 4:3-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="-1" sensor_mode="31" resolution="6">
        <translationGainX>-0.156632</translationGainX>
        <translationGainY>0.213883</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.000619</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning fullScreem-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="-1" sensor_mode="31" resolution="7">
        <translationGainX>-0.208843</translationGainX>
        <translationGainY>0.213883</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.000619</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning 1:1-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="2" actuator_type="-1" sensor_mode="31" resolution="8">
        <translationGainX>-0.156632</translationGainX>
        <translationGainY>0.351124</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.006247</offsetTime>
    </OISSensor>

	<!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview default binning-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="6" actuator_type="-1" sensor_mode="-1" resolution="-1">
        <translationGainX>0.3181</translationGainX>
        <translationGainY>-0.4135</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.00357</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="6" actuator_type="-1" sensor_mode="30" resolution="6">
        <translationGainX>-0.302397</translationGainX>
        <translationGainY>0.427135</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.000282</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic fullScreem-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="6" actuator_type="-1" sensor_mode="30" resolution="7">
        <translationGainX>-0.403195</translationGainX>
        <translationGainY>0.427135</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.000282</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic fullScreem-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="6" actuator_type="-1" sensor_mode="30" resolution="8">
        <translationGainX>-0.302397</translationGainX>
        <translationGainY>0.701213</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.005346</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning 4:3-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="6" actuator_type="-1" sensor_mode="31" resolution="6">
        <translationGainX>-0.1486</translationGainX>
        <translationGainY>0.212938</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.000579</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning fullScreem-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="6" actuator_type="-1" sensor_mode="31" resolution="7">
        <translationGainX>-0.198133</translationGainX>
        <translationGainY>0.212938</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.000579</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning 1:1-->
    <OISSensor camera_index="8" driverIC="7" gyro_sensor="6" actuator_type="-1" sensor_mode="31" resolution="8">
        <translationGainX>-0.1486</translationGainX>
        <translationGainY>0.349572</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.006207</offsetTime>
    </OISSensor>

	<!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview default binning-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="0" actuator_type="-1" sensor_mode="-1" resolution="-1">
        <translationGainX>0.3181</translationGainX>
        <translationGainY>-0.4135</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.00357</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="0" actuator_type="-1" sensor_mode="30" resolution="6">
        <translationGainX>0.586838</translationGainX>
        <translationGainY>0.949399</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.000362</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic fullScreem-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="0" actuator_type="-1" sensor_mode="30" resolution="7">
        <translationGainX>0.782451</translationGainX>
        <translationGainY>0.949399</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.000362</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic fullScreem-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="0" actuator_type="-1" sensor_mode="30" resolution="8">
        <translationGainX>0.586838</translationGainX>
        <translationGainY>1.558597</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.005266</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning 4:3-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="0" actuator_type="-1" sensor_mode="31" resolution="6">
        <translationGainX>0.290348</translationGainX>
        <translationGainY>0.522894</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.000819</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning fullScreem-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="0" actuator_type="-1" sensor_mode="31" resolution="7">
        <translationGainX>0.387131</translationGainX>
        <translationGainY>0.522894</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.000819</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning 1:1-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="0" actuator_type="-1" sensor_mode="31" resolution="8">
        <translationGainX>0.290348</translationGainX>
        <translationGainY>0.858418</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.006447</offsetTime>
    </OISSensor>

	<!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview default binning-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="2" actuator_type="-1" sensor_mode="-1" resolution="-1">
        <translationGainX>0.3181</translationGainX>
        <translationGainY>-0.4135</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.00357</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="2" actuator_type="-1" sensor_mode="30" resolution="6">
        <translationGainX>0.583058</translationGainX>
        <translationGainY>0.958219</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.000282</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic fullScreem-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="2" actuator_type="-1" sensor_mode="30" resolution="7">
        <translationGainX>0.777411</translationGainX>
        <translationGainY>0.958219</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.000282</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic fullScreem-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="2" actuator_type="-1" sensor_mode="30" resolution="8">
        <translationGainX>0.583058</translationGainX>
        <translationGainY>1.573076</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.005346</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning 4:3-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="2" actuator_type="-1" sensor_mode="31" resolution="6">
        <translationGainX>0.297199</translationGainX>
        <translationGainY>0.477219</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.000499</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning fullScreem-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="2" actuator_type="-1" sensor_mode="31" resolution="7">
        <translationGainX>0.396265</translationGainX>
        <translationGainY>0.477219</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.000499</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning 1:1-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="2" actuator_type="-1" sensor_mode="31" resolution="8">
        <translationGainX>0.297199</translationGainX>
        <translationGainY>0.783435</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.006127</offsetTime>
    </OISSensor>

	<!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview default binning-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="6" actuator_type="-1" sensor_mode="-1" resolution="-1">
        <translationGainX>0.3181</translationGainX>
        <translationGainY>-0.4135</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.00357</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="6" actuator_type="-1" sensor_mode="30" resolution="6">
        <translationGainX>0.600541</translationGainX>
        <translationGainY>0.912229</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.000242</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic fullScreem-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="6" actuator_type="-1" sensor_mode="30" resolution="7">
        <translationGainX>0.800721</translationGainX>
        <translationGainY>0.912229</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>-0.000242</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview remosaic fullScreem-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="6" actuator_type="-1" sensor_mode="30" resolution="8">
        <translationGainX>0.600541</translationGainX>
        <translationGainY>1.497577</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.005386</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning 4:3-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="6" actuator_type="-1" sensor_mode="31" resolution="6">
        <translationGainX>0.301452</translationGainX>
        <translationGainY>0.486984</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.000659</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning fullScreem-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="6" actuator_type="-1" sensor_mode="31" resolution="7">
        <translationGainX>0.401935</translationGainX>
        <translationGainY>0.486984</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.000659</offsetTime>
    </OISSensor>

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview binning 1:1-->
    <OISSensor camera_index="8" driverIC="14" gyro_sensor="6" actuator_type="-1" sensor_mode="31" resolution="8">
        <translationGainX>0.301452</translationGainX>
        <translationGainY>0.799466</translationGainY>
        <oisAxisAngle>0</oisAxisAngle>
        <offsetTime>0.006287</offsetTime>
    </OISSensor>

    <!--EIS instruction
        camera_position:   0—rear   1-front
        camera_index：   2-main   4-wide   8-tele   16-tele2
        gyro_sensor:   0-GYRO_VENDOR_INVEN_ICM20690   2-GYRO_VENDOR_ST_LSM6DSM   6-GYRO_VENDOR_BOSCH_BMI260
        sensor_mode:   -1-default   30-remosaic   31-binning   32-hdr   33-quadabin
        resolution:   -1-default   1-4K   2-19:9   3-21:9   4-1080p   5-720p
        fps:   -1-default   1-30fps   2-60fps   3-auto
        camera_scene：   -1-default   2-dual_video
        camera_lensType:   -1-default   254-LENS_TYPE_LARGEN_MARIE
    -->

    <!--ST gyroscope    rear tele-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>3.714</focalLength>
        <gyroOffsetTime>0.605</gyroOffsetTime>
        <rollingShutterTime>16.2</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    default binning-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="30" resolution="6" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>5.249</focalLength>
        <gyroOffsetTime>0.001398</gyroOffsetTime>
        <rollingShutterTime>28.8</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    binning 4:3-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="30" resolution="7" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>6.999</focalLength>
        <gyroOffsetTime>0.001398</gyroOffsetTime>
        <rollingShutterTime>28.8</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    binning fullScreem-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="30" resolution="8" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>5.249</focalLength>
        <gyroOffsetTime>0.007026</gyroOffsetTime>
        <rollingShutterTime>17.54</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    binning 1:1-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="31" resolution="6" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>2.636</focalLength>
        <gyroOffsetTime>0.002499</gyroOffsetTime>
        <rollingShutterTime>28.8</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    remosaic TBC-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="31" resolution="7" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>3.515</focalLength>
        <gyroOffsetTime>0.002499</gyroOffsetTime>
        <rollingShutterTime>28.8</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    remosaic fullScreem-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="0" sensor_mode="31" resolution="8" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>2.636</focalLength>
        <gyroOffsetTime>0.008127</gyroOffsetTime>
        <rollingShutterTime>17.54</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>3.714</focalLength>
        <gyroOffsetTime>0.605</gyroOffsetTime>
        <rollingShutterTime>16.2</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    default binning-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="30" resolution="6" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>5.272</focalLength>
        <gyroOffsetTime>0.001098</gyroOffsetTime>
        <rollingShutterTime>28.8</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    binning 4:3-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="30" resolution="7" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>7.029</focalLength>
        <gyroOffsetTime>0.001098</gyroOffsetTime>
        <rollingShutterTime>28.8</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    binning fullScreem-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="30" resolution="8" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>5.272</focalLength>
        <gyroOffsetTime>0.006726</gyroOffsetTime>
        <rollingShutterTime>17.54</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    binning 1:1-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="31" resolution="6" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>2.659</focalLength>
        <gyroOffsetTime>0.001999</gyroOffsetTime>
        <rollingShutterTime>28.8</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    remosaic TBC-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="31" resolution="7" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>3.546</focalLength>
        <gyroOffsetTime>0.001999</gyroOffsetTime>
        <rollingShutterTime>28.8</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    remosaic fullScreem-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="2" sensor_mode="31" resolution="8" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>2.659</focalLength>
        <gyroOffsetTime>0.007627</gyroOffsetTime>
        <rollingShutterTime>17.54</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>
    <!--ST gyroscope    rear tele-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="-1" resolution="-1" fps="-1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>3.714</focalLength>
        <gyroOffsetTime>0.605</gyroOffsetTime>
        <rollingShutterTime>16.2</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    default binning-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="30" resolution="6" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>5.132</focalLength>
        <gyroOffsetTime>0.002398</gyroOffsetTime>
        <rollingShutterTime>28.8</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    binning 4:3-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="30" resolution="7" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>6.843</focalLength>
        <gyroOffsetTime>0.002398</gyroOffsetTime>
        <rollingShutterTime>28.8</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    binning fullScreem-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="30" resolution="8" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>5.132</focalLength>
        <gyroOffsetTime>0.008026</gyroOffsetTime>
        <rollingShutterTime>17.54</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    binning 1:1-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="31" resolution="6" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>2.572</focalLength>
        <gyroOffsetTime>0.003299</gyroOffsetTime>
        <rollingShutterTime>28.8</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    remosaic TBC-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="31" resolution="7" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>3.429</focalLength>
        <gyroOffsetTime>0.003299</gyroOffsetTime>
        <rollingShutterTime>28.8</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ST gyroscope    rear tele photoPreview    remosaic fullScreem-->
    <EIS camera_position="0" camera_index="8" gyro_sensor="6" sensor_mode="31" resolution="8" fps="1"
         camera_scene="-1" camera_lensType="-1">
        <focalLength>2.572</focalLength>
        <gyroOffsetTime>0.008927</gyroOffsetTime>
        <rollingShutterTime>17.54</rollingShutterTime>
        <rollingShutterTimeUsage>1</rollingShutterTimeUsage>  <!--0:use theoretical value   1:use xml value-->
    </EIS>

    <!--ZoomStabilization instruction
        camera_position:    -1-default   0—rear   1-front
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2
        camera_lensType:   -1-default   254-LENS_TYPE_LARGEN_MARIE
        resolution:   -1-default   1-4K   2-19:9   3-21:9   4-1080p   5-720p
    -->

    <!--rear tele default testing-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="-1">
        <minRatio>4.72</minRatio>
        <inflectionPoint>10.2</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele 1080P photo testing-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="6">
        <minRatio>3.57</minRatio>
        <inflectionPoint>10.2</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele 19:9 photo testing-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="7">
        <minRatio>3.57</minRatio>
        <inflectionPoint>10.2</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele 1:1 photo testing-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="8">
        <minRatio>3.57</minRatio>
        <inflectionPoint>10.2</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele 4K-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="1">
        <minRatio>4.4</minRatio>
        <inflectionPoint>4.4</inflectionPoint>
    </ZoomStabilization>

    <!--rear tele FHDP2-->
    <ZoomStabilization camera_position="0" camera_index="8" camera_lensType="-1" resolution="3">
        <minRatio>4.4</minRatio>
        <inflectionPoint>4.4</inflectionPoint>
    </ZoomStabilization>

    <!--SensorModeSwitch instruction
        camera_position:    -1-default   0—rear   1-front
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2
        resolution:   -1-default   1-4K   2-19:9   3-21:9   4-1080p   5-720p
    -->

    <!--rear tele default-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="-1">
        <remosaicModeCoeff>1.0</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--rear tele 4k-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="1">
        <remosaicModeCoeff>1.0</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--rear tele 19:9-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="2">
        <remosaicModeCoeff>1.0</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--rear tele 21:9-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="3">
        <remosaicModeCoeff>1.0</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--rear tele 1080p-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="4">
        <remosaicModeCoeff>1.0</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--rear tele 720p-->
    <SensorModeSwitch camera_position="0" camera_index="8" resolution="5">
        <remosaicModeCoeff>1.0</remosaicModeCoeff>
    </SensorModeSwitch>

    <!--DistortCorrection instruction
        camera_position:    -1-default   0—rear   1-front
        camera_index：   -1-default   2-main   4-wide   8-tele   16-tele2
        camera_lensType:   -1-default   254-LENS_TYPE_LARGEN_MARIE
        camera_scene：   -1-default   2-dual_video   9-superEIS
    -->

    <!--rear main KT-->
    <DistortCorrection camera_position="0" camera_index="2" camera_lensType="1" camera_scene="-1">
        <distortRestricWidthRange>4</distortRestricWidthRange>
        <distortRestricHeightRange>2</distortRestricHeightRange>
        <cropRatio>0.9595</cropRatio>
    </DistortCorrection>

    <!--rear main Largn-->
    <DistortCorrection camera_position="0" camera_index="2" camera_lensType="0" camera_scene="-1">
        <distortRestricWidthRange>1.6</distortRestricWidthRange>
        <distortRestricHeightRange>1.6</distortRestricHeightRange>
        <cropRatio>0.94905</cropRatio>
    </DistortCorrection>

    <!--rear wide free normal-->
    <DistortCorrection camera_position="0" camera_index="4" camera_lensType="-1" camera_scene="-1">
        <distortRestricWidthRange>4.7</distortRestricWidthRange>
        <distortRestricHeightRange>1.22</distortRestricHeightRange>
        <cropRatio>0.95</cropRatio>
    </DistortCorrection>

    <!--rear wide largen normal-->
    <DistortCorrection camera_position="0" camera_index="4" camera_lensType="254" camera_scene="-1">
        <distortRestricWidthRange>11.3</distortRestricWidthRange>
        <distortRestricHeightRange>6.76</distortRestricHeightRange>
        <cropRatio>0.97375</cropRatio>
    </DistortCorrection>

    <!--rear Tele-->
    <DistortCorrection camera_position="0" camera_index="8" camera_lensType="-1" camera_scene="-1">
        <distortRestricWidthRange>0</distortRestricWidthRange>
        <distortRestricHeightRange>0</distortRestricHeightRange>
        <cropRatio>0.95</cropRatio>
    </DistortCorrection>

    <!--rear wide free Super EIS-->
    <DistortCorrection camera_position="0" camera_index="4" camera_lensType="-1" camera_scene="9">
        <distortRestricWidthRange>4.7</distortRestricWidthRange>
        <distortRestricHeightRange>1.22</distortRestricHeightRange>
        <cropRatio>1.0</cropRatio>
    </DistortCorrection>

    <!--rear wide largen Super EIS-->
    <DistortCorrection camera_position="0" camera_index="4" camera_lensType="254" camera_scene="9">
        <distortRestricWidthRange>11.3</distortRestricWidthRange>
        <distortRestricHeightRange>6.765</distortRestricHeightRange>
        <cropRatio>1.0</cropRatio>
    </DistortCorrection>

    <!--front main-->
    <DistortCorrection camera_position="1" camera_index="2" camera_lensType="-1" camera_scene="-1">
        <distortRestricWidthRange>33.34</distortRestricWidthRange>
        <distortRestricHeightRange>18.63</distortRestricHeightRange>
        <cropRatio>0.838</cropRatio>
    </DistortCorrection>

    <RecedeStabilization>
        <dynamicRecedeStabilizationEnable>1</dynamicRecedeStabilizationEnable>        <!--Int -->
        <mainDynamicRecedeEnable>0</mainDynamicRecedeEnable>        <!--Int -->
        <wideDynamicRecedeEnable>1</wideDynamicRecedeEnable>        <!--Int -->
        <teleDynamicRecedeEnable>0</teleDynamicRecedeEnable>        <!--Int -->
        <tele2DynamicRecedeEnable>0</tele2DynamicRecedeEnable>        <!--Int -->
        <motionGain0>0.0</motionGain0>        <!--float -->
        <motionGain1>0.1</motionGain1>        <!--float -->
        <motionGain2>0.2</motionGain2>        <!--float -->
        <motionGain3>0.2</motionGain3>        <!--float -->
        <expoGain0>0.0</expoGain0>        <!--float -->
        <expoGain1>0.0</expoGain1>        <!--float -->
        <expoGain2>4.0</expoGain2>        <!--float -->
        <expoGain3>9.0</expoGain3>        <!--float -->
        <eisDecayPreRatio>0.1</eisDecayPreRatio>        <!--float -->
        <lumaAvgThr>30</lumaAvgThr>        <!--int -->
        <baseWqr>0.05</baseWqr>        <!--float -->
    </RecedeStabilization>

    <!--FaceDeforMation Param-->
    <FaceDeformation>
        <faceDeformationCorrectionEnable>1</faceDeformationCorrectionEnable>
        <rotationLatencyForMainAxis>4</rotationLatencyForMainAxis>
        <faceDeformationThreshlod>0.8</faceDeformationThreshlod>
        <panningCoeff>4.5</panningCoeff>
        <enterPanningCounterSelfieForFace>15</enterPanningCounterSelfieForFace>
        <exitPanningCounterSelfieForFace>15</exitPanningCounterSelfieForFace>
        <maxPanningCounterSelfie>30</maxPanningCounterSelfie>
        <minPanningCounterSelfie>0</minPanningCounterSelfie>
        <maxPanningRSCorrectionRatio>0.65</maxPanningRSCorrectionRatio>
        <minPanningRSCorrectionRatio>0.25</minPanningRSCorrectionRatio>
    </FaceDeformation>

    <FaceStabilization>
        <faceStabilizationEnable>1</faceStabilizationEnable>        <!--Int -->
        <walkingEpsilon>38</walkingEpsilon>        <!--Int -->
        <faceEpsilonUpper>340</faceEpsilonUpper>        <!--Int -->
        <faceEpsilonLower>300</faceEpsilonLower>        <!--Int -->
        <faceEpsilonRatio>0.8</faceEpsilonRatio>
        <faceEpsilonIncrementStep>6</faceEpsilonIncrementStep>        <!--Int -->
        <faceEpsilonDecrementStep>8</faceEpsilonDecrementStep>        <!--Int -->
        <faceEpsilonUpperDecrementStep>20</faceEpsilonUpperDecrementStep>        <!--Int -->
        <faceEpsilonLowerDecrementStep>20</faceEpsilonLowerDecrementStep>        <!--Int -->
        <faceMotionStd>100</faceMotionStd>        <!--Int -->
        <faceMotionIncreaseStep>50</faceMotionIncreaseStep>        <!--Int -->
    </FaceStabilization>
</EIS_TNR>
